Bug Hunting Session
Bug 61526 - UI: LO crashes when editing a Fontwork object.
Summary: UI: LO crashes when editing a Fontwork object.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.1.1 rc
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-26 20:03 UTC by John Smith
Modified: 2015-02-05 10:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Smith 2013-02-26 20:03:49 UTC
Problem description:
Select the 'Line' attribute to edit a Fontwork object. Select the 'Line Styles' tab of the Line dialogue box. Select the 'Load Line Styles' icon and choose one of the SOD files and click Open. Nothing appears to be loaded.
Selecting 'Reset', 'Cancel', or 'OK' crashes LO.

Steps to reproduce:
1. ....Start a new text document.
2. ....Select View->Toolbars->Fontwork.
3. ....Open the Fontwork Gallery and select 'Favorite1'.
4. ....Right-click and select Anchor->As Character.
5. ....Right-click and select 'Line' from the context menu.
6. ....Select the Line Styles tab and click the 'Load Line Styles' button.
7. ....Select any one of the SOD files and click 'Open'.
8. ....It appears that no line styles are loaded.
9. ....Click any of these buttons on the Line dialogue: Reset, Cancel, or OK.
Current behavior:
LibreOffice crashes.

Expected behavior:
Line styles should be loaded and editing continue.

              
Operating System: Windows XP
Version: 4.0.1.1 rc
Comment 1 bfoman (inactive) 2013-02-27 14:25:47 UTC
Confirmed with:
LO 4.0.0.3
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit
Comment 2 Caolán McNamara 2015-02-05 10:11:57 UTC
ok in 4-2 series. Fixed (probably) by http://cgit.freedesktop.org/libreoffice/core/commit/?id=ca4a3f26f96843a8b48fdb10df901a102c2c9ca3